public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/safeeyes/
Date: Sat,  8 Jun 2024 23:20:53 +0000 (UTC)	[thread overview]
Message-ID: <1717888834.a11e422906cbb521697888a0629676addf9f1d61.sping@gentoo> (raw)

commit:     a11e422906cbb521697888a0629676addf9f1d61
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  8 23:06:01 2024 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sat Jun  8 23:20:34 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a11e4229

x11-misc/safeeyes: 2.1.8

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>

 x11-misc/safeeyes/Manifest              |  1 +
 x11-misc/safeeyes/safeeyes-2.1.8.ebuild | 60 +++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/x11-misc/safeeyes/Manifest b/x11-misc/safeeyes/Manifest
index 4fcd5e9d7940..4a7b721a70e4 100644
--- a/x11-misc/safeeyes/Manifest
+++ b/x11-misc/safeeyes/Manifest
@@ -1 +1,2 @@
 DIST safeeyes-2.1.6.tar.gz 286359 BLAKE2B a5e4b4d680d455f2ae9494705f1e4508341802f4826b2d11f5407eed4074f0eab45066a3741745dd164b47e26a2dbf2a393945bffef0f747cbebd5f87b3b1961 SHA512 6476284ed1d8cdde77f10b3fe962a5d9d5ead944b0418f797e375cc67affa6807d858279cf4a1189585b7688dbe983fc6b90c917e0e55a2a11ebfdc56b44ca93
+DIST safeeyes-2.1.8.tar.gz 288991 BLAKE2B 53fa71171c42679f7241a13b5542855c542c020814a4ec9e9c7480163bc2179e93787fb87291999815f900d5dea3522f5de8e35e85b714d3cb1cc4e24bad5638 SHA512 df3192ee751510449a0ee8946c8e59daff3dc5b4ef95a2f5563cc82834fbe8d3de52f39be2e0c26c13db7ac3d115ef1de63184ec8d069b99f411f4d60e9b5139

diff --git a/x11-misc/safeeyes/safeeyes-2.1.8.ebuild b/x11-misc/safeeyes/safeeyes-2.1.8.ebuild
new file mode 100644
index 000000000000..cd7e15330da3
--- /dev/null
+++ b/x11-misc/safeeyes/safeeyes-2.1.8.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..12} )
+PYTHON_REQ_USE="tk"  # for site-packages/Xlib/ext/randr.py
+DISTUTILS_USE_PEP517=setuptools
+
+inherit xdg distutils-r1 pypi
+
+DESCRIPTION="Linux alternative to EyeLeo"
+HOMEPAGE="https://github.com/slgobinath/SafeEyes"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+	dev-libs/libayatana-appindicator
+	dev-python/Babel[${PYTHON_USEDEP}]
+	dev-python/croniter[${PYTHON_USEDEP}]
+	dev-python/dbus-python[${PYTHON_USEDEP}]
+	dev-python/psutil[${PYTHON_USEDEP}]
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+	dev-python/python-xlib[${PYTHON_USEDEP}]
+	media-sound/alsa-utils
+	x11-apps/xprop
+	x11-libs/gtk+:3[introspection]
+	x11-libs/libnotify[introspection]
+	x11-misc/xprintidle
+	"
+
+python_install() {
+	distutils-r1_python_install
+
+	# Workaround for https://bugs.gentoo.org/926816
+	# Files were misplaced and also duplicate across Python slots.
+	local misplaced_usr="${D}/usr/lib/${EPYTHON}/site-packages/usr"
+	local i
+	for i in applications icons ; do
+		local source="${misplaced_usr}/share/${i}"
+		local target="${D}/usr/share/${i}"
+		if [[ ! -d "${target}" ]]; then
+			dodir /usr/share/
+			mv "${source}" "${target}" || die
+		fi
+	done
+	rm -R "${misplaced_usr}" || die
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}


             reply	other threads:[~2024-06-08 23:20 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-08 23:20 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-25 15:36 [gentoo-commits] repo/gentoo:master commit in: x11-misc/safeeyes/ Sebastian Pipping
2024-12-25 15:36 Sebastian Pipping
2024-08-10 22:35 Sebastian Pipping
2024-07-14 20:30 Sebastian Pipping
2024-06-19 13:20 Sebastian Pipping
2024-06-08 23:20 Sebastian Pipping
2024-03-14 21:12 Sebastian Pipping
2023-11-05 22:08 Sebastian Pipping
2023-07-05 15:50 Sebastian Pipping
2023-05-08  9:11 Pacho Ramos
2023-03-16 18:52 Michał Górny
2023-01-06  0:54 Sebastian Pipping
2022-12-04 16:07 Sebastian Pipping
2022-11-22  2:17 Sebastian Pipping
2022-11-22  2:17 Sebastian Pipping
2021-10-12  7:42 Marek Szuba
2021-09-05  0:17 Sebastian Pipping
2021-04-30  0:26 Sebastian Pipping
2021-02-15  0:24 Sebastian Pipping
2020-12-26 15:56 Sebastian Pipping
2020-12-07 14:50 Sebastian Pipping
2019-03-31 17:18 Sebastian Pipping
2019-03-31 17:18 Sebastian Pipping
2019-03-09 16:33 Sebastian Pipping
2019-01-22 13:49 Sebastian Pipping
2018-10-31 23:12 Sebastian Pipping
2018-10-31 16:05 Sebastian Pipping
2018-07-08 16:48 Sebastian Pipping
2018-07-02 19:46 Sebastian Pipping
2018-07-01 17:28 Sebastian Pipping
2018-03-21 15:32 Sebastian Pipping
2018-02-10 15:46 Sebastian Pipping
2018-01-18  0:04 Sebastian Pipping
2017-10-17 18:42 Sebastian Pipping
2017-08-15 18:52 Sebastian Pipping
2017-08-13  1:23 Sebastian Pipping
2017-04-29 20:22 Sebastian Pipping

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1717888834.a11e422906cbb521697888a0629676addf9f1d61.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox